<?php
include_once '../php/config.php';



$sql = mysql_query("select * from productos where id_producto = '".$_GET['id']."'") or die(mysql_error());
$codigo = @mysql_result($sql, 0, "codigo");
$descripcion = @mysql_result($sql, 0, "descripcion");
$relacion = @mysql_result($sql, 0, "relacion_detalle");
$pxp = @mysql_result($sql, 0, "pxp");
$stock = @mysql_result($sql, 0, "stock");

?>

<style>
    td, th{
        text-align:left;
       
    }
    
    body{
        @background:gray;
    }
    
     fieldset{
        background:white;
    }
    
</style>
<script src="../src/jquery.js"></script>
<h2 style="background:yellow">Detallar este producto</h2>

<fieldset>

    <legend><b>PAQUETE A DETALLAR</b></legend>
<form action="" method="POST">
    <table border="0" >
        <td style="color:green">Producto a detallar</td>
          <td><input type="text" name="txt_codigo1" value="<?php echo $codigo?>"> | <input style="width:200px" type="text"  name="txt_nombre1" value="<?php echo $descripcion?>" readonly></td>
          <tr>
         
          <td>Stock</td>
         <td><input type="text" style="width:80px; color:green" name="stock" id="stock" readonly value="<?php echo $stock?>"></td>
          <tr><tr><tr>
          <td>Porcion</td>
         <td><input type="text" style="width:65px; color:blue" name="porcion" value="<?php echo $pxp?>"></td>
          <tr><tr><tr>
            <br>
         </table>    
         
       <hr>

   <legend><b>PRODUCTO POR UNIDAD</b></legend>
        <table border="0">
            
            <td style="color:red">Producto relacionado</td>   
            <td><input type="text" id="txt_codigo2" name="txt_codigo2" onKeyUp="get_producto()" value="<?php echo $relacion?>"> | <input type="text"  id="txt_nombre2"  name="txt_nombre2" value="<?php echo $descripcion2?>" readonly></td>
            <tr>
         <td>Stock</td>
         <td><span style="color:blue" id="stock2"><?php echo $precio2?></td>
         <tr>
          <td>Precio detalle</td>
         <td><span style="color:blue"><?php echo $precio2?></span></td>
             <tr>   
           <td><b>Paquetes a destapar</b></td>
         <td><input type="number" style="width:65px" name="unidad" autofocus></td>
          <tr>
        <td><button name="btn_grabar"> Detallar</button> | <a href="lista_detallar.php"> Lista</a></td>
    </table>
     
        

</form>
  </fieldset>


<script>

$(function(){
    $("input[type=text]").prop("autocomplete", "off");
    get_producto();
})
    

function get_producto(){
    var codigo = $("#txt_codigo2").val();
    
    $.get("get_producto.php?codigo="+codigo, function(data, st){
        if(st=="success"){
            data = JSON.parse(data)
            $("#txt_nombre2").val(data.descripcion)
            $("#stock2").html(data.stock)
        }
    })
}
</script>



<?php
if(isSet($_POST["btn_grabar"])){
    if(empty($_POST["txt_codigo1"])){echo "<script>alert('No es un producto valido');</script>"; return;}
    if(empty($_POST["porcion"])){echo "<script>alert('Porcion no definida');</script>"; return;}
    
    if(empty($_POST["txt_codigo2"])){echo "<script>alert('No a relacionado un producto detalle');</script>"; return;}
    if(empty($_POST["txt_nombre2"])){echo "<script>alert('No a relacionado un producto detalle');</script>"; return;}
    if(empty($_POST["unidad"])){echo "<script>alert('Ponga las unidades a detallar');</script>"; return;}
    if($_POST["txt_nombre1"]==$_POST["txt_nombre2"]){echo "<script>alert('No hay suficiente unidades, solo queda $stock');</script>"; return;}
    if($_POST["unidad"]>$_POST["stock"]){echo "<script>alert('No hay suficiente unidades, solo queda $stock');</script>"; return;}
     
    $xcantidad = $_POST["porcion"] * $_POST["unidad"] ;
    $unidad =  $_POST["unidad"] ;
    
        mysql_query("update productos set stock=stock +'$xcantidad' where codigo='".$_POST['txt_codigo2']."'") or die(mysql_error());
        
    mysql_query("update productos set stock=stock - '$unidad', relacion_detalle='".$_POST['txt_codigo2']."', pxp='".$_POST['porcion']."' where id_producto='".$_GET['id']."'") or die(mysql_error());
    echo "Proceso terminado";
    echo "<script>self.close();</script>";
}

?>